CVE-2017-7674 Amazon Linux Security Advisory for tomcat7: AL2012-2017-217

漏洞类别:Amazon Linux

漏洞等级:

漏洞信息

Package updates are available for Amazon Linux that fix the following vulnerabilities:
CVE-2017-7674: 1480618: CVE-2017-7674 tomcat: Vary header not added by CORS filter leading to cache poisoning The CORS Filter in Apache Tomcat 9.0.0.M1 to 9.0.0.M21, 8.5.0 to 8.5.15, 8.0.0.RC1 to 8.0.44 and 7.0.41 to 7.0.78 did not add an HTTP Vary header indicating that the response varies depending on Origin. This permitted client and server side cache poisoning in some circumstances.

QID Detection Logic (Authenticated):
This QID verifies if the versions of the following packages is less than 7.0.81-1.31.al12: tomcat7-el-2.2-api,tomcat7-docs-webapp,tomcat7-webapps,tomcat7-lib,tomcat7-javadoc,tomcat7-servlet-3.0-api,tomcat7,tomcat7-log4j,tomcat7-admin-webapps,tomcat7-jsp-2.2-api

漏洞危害

Allows unauthorized disclosure of information; allows unauthorized modification; allows disruption of service.

解决方案

Administrators are advised to apply the appropriate software updates.

Patch:
Following are links for downloading patches to fix the vulnerabilities:

AL2012-2017-217

Leave a Reply